[Deprecated]: V1.0

get

/ec-designer-svc/rest/v1.0/studies/{studyId}/versions/{version}/forms/randomizationfactors

Deprecated: Use latest version instead. Retrieves form questions that can be used as randomization factors in the specified study version. Optional query parameters exclude repeat, lab, or two-section form items, include all number items, and filter by form category. The response returns matching form items with their form and question details.

Request

Path Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : schema
Type: array
Show Source
  • FormItemDto v1.0
    Title: FormItemDto v1.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtoV1", "numeric":"#/components/schemas/FormNumberItemDtoV1", "measurement":"#/components/schemas/FormNumberItemDtoV1", "text":"#/components/schemas/FormTextItemDtoV1", "choice":"#/components/schemas/FormChoiceItemDtoV1" } }
    Form item returned for a v1.0 study form, including fields used to identify randomization stratification factors.
Nested Schema : FormItemDto v1.0
Type: object
Title: FormItemDto v1.0
Discriminator: questionType

Discriminator Values

Form item returned for a v1.0 study form, including fields used to identify randomization stratification factors.
Show Source
Match One Schema
Show Source
Example:
{
    "questionType":"numeric",
    "id":"4A5C8D0E2F1B4D56A23C9F3A0C7D4E99",
    "formId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
    "formTitle":"Demography",
    "questionLabel":"Age",
    "questionHint":"Age at screening",
    "randomizationTag":true,
    "isStrataFactor":false,
    "refname":"AGE",
    "required":true,
    "sdvRequired":false,
    "sequence":1
}
Nested Schema : FormNumberItemDto v1.0
Type: object
Title: FormNumberItemDto v1.0
Form Number Item Details Information
Match All
Form Number Item Details Information
Form Number Item Details Information
Show Source
  • FormItemDto v1.0
    Title: FormItemDto v1.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtoV1", "numeric":"#/components/schemas/FormNumberItemDtoV1", "measurement":"#/components/schemas/FormNumberItemDtoV1", "text":"#/components/schemas/FormTextItemDtoV1", "choice":"#/components/schemas/FormChoiceItemDtoV1" } }
    Form item returned for a v1.0 study form, including fields used to identify randomization stratification factors.
  • FormNumberItemDto v1.0-allOf[1]
Nested Schema : FormChoiceItemDto v1.0
Type: object
Title: FormChoiceItemDto v1.0
Form Choice Item Details Information
Match All
Form Choice Item Details Information
Form Choice Item Details Information
Show Source
  • FormItemDto v1.0
    Title: FormItemDto v1.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtoV1", "numeric":"#/components/schemas/FormNumberItemDtoV1", "measurement":"#/components/schemas/FormNumberItemDtoV1", "text":"#/components/schemas/FormTextItemDtoV1", "choice":"#/components/schemas/FormChoiceItemDtoV1" } }
    Form item returned for a v1.0 study form, including fields used to identify randomization stratification factors.
  • FormChoiceItemDto v1.0-allOf[1]
Nested Schema : FormTextItemDto v1.0
Type: object
Title: FormTextItemDto v1.0
Form text Item Details Information
Match All
Form text Item Details Information
Form text Item Details Information
Show Source
  • FormItemDto v1.0
    Title: FormItemDto v1.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtoV1", "numeric":"#/components/schemas/FormNumberItemDtoV1", "measurement":"#/components/schemas/FormNumberItemDtoV1", "text":"#/components/schemas/FormTextItemDtoV1", "choice":"#/components/schemas/FormChoiceItemDtoV1" } }
    Form item returned for a v1.0 study form, including fields used to identify randomization stratification factors.
  • FormTextItemDto v1.0-allOf[1]
Nested Schema : FormDatetimeItemDto v1.0
Type: object
Title: FormDatetimeItemDto v1.0
Form DateTime Item Details Information
Match All
Form DateTime Item Details Information
Form DateTime Item Details Information
Show Source
  • FormItemDto v1.0
    Title: FormItemDto v1.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtoV1", "numeric":"#/components/schemas/FormNumberItemDtoV1", "measurement":"#/components/schemas/FormNumberItemDtoV1", "text":"#/components/schemas/FormTextItemDtoV1", "choice":"#/components/schemas/FormChoiceItemDtoV1" } }
    Form item returned for a v1.0 study form, including fields used to identify randomization stratification factors.
  • FormDatetimeItemDto v1.0-allOf[1]
Nested Schema : FormNumberItemDto v1.0-allOf[1]
Type: object
Show Source
Nested Schema : FormChoiceItemDto v1.0-allOf[1]
Type: object
Show Source
Nested Schema : options
Type: array
Show Source
Nested Schema : FormOptionDto v1.0
Type: object
Title: FormOptionDto v1.0
Form choice item option details
Show Source
  • Minimum Length: 1
    Maximum Length: 4000
    Form choice selectbox label for a one specific choice.
    Example: Female
  • Minimum Length: 1
    Maximum Length: 4000
    Pattern: [a-zA-Z0-9]+
    Form choice selectbox value for a one specific choice.
    Example: 1
Nested Schema : FormTextItemDto v1.0-allOf[1]
Type: object
Show Source
Nested Schema : FormDatetimeItemDto v1.0-allOf[1]
Type: object
Show Source
  • Pattern: YYYY|MON-YYYY|DD-MON-YYYY|DD-MON-YYYY HH:MM
    Date time format
    Example: DD-MON-YYYY
Examples

500 Response

Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Body ()
Root Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Back to Top